POST api/cabreaderapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

CabReaderViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

name

string

Required

String length: inclusive between 0 and 100

cab_reader_type_id

globally unique identifier

Required

port_com

integer

None.

baudrate

integer

None.

handshake

integer

Required

read_time_out

integer

None.

write_time_out

integer

None.

pc_id

globally unique identifier

None.

active

boolean

Required

site_id

globally unique identifier

Required

parity

integer

Required

data_bits

integer

Required

stop_bits

integer

Required

Request Formats

application/json, text/json

Sample:
{
  "id": "4375a4f9-dc82-47e8-8ddd-d6a3137a48a9",
  "name": "sample string 2",
  "cab_reader_type_id": "db6bebb5-1121-430e-adf5-d01a30a622fd",
  "port_com": 1,
  "baudrate": 1,
  "handshake": 4,
  "read_time_out": 1,
  "write_time_out": 1,
  "pc_id": "2624cba2-67f0-4eaa-a52a-73303e57bb59",
  "active": true,
  "site_id": "fd4bacee-69b8-4530-ba7f-8f58e366748e",
  "parity": 7,
  "data_bits": 8,
  "stop_bits": 9
}

application/xml, text/xml

Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <baudrate>1</baudrate>
  <cab_reader_type_id>db6bebb5-1121-430e-adf5-d01a30a622fd</cab_reader_type_id>
  <data_bits>8</data_bits>
  <handshake>4</handshake>
  <id>4375a4f9-dc82-47e8-8ddd-d6a3137a48a9</id>
  <name>sample string 2</name>
  <parity>7</parity>
  <pc_id>2624cba2-67f0-4eaa-a52a-73303e57bb59</pc_id>
  <port_com>1</port_com>
  <read_time_out>1</read_time_out>
  <site_id>fd4bacee-69b8-4530-ba7f-8f58e366748e</site_id>
  <stop_bits>9</stop_bits>
  <write_time_out>1</write_time_out>
</cab_reader>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"563ad4d4-8ebf-40b1-8733-55135517987e"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">563ad4d4-8ebf-40b1-8733-55135517987e</guid>